package com.interplug.qcast.biz.canvasStatus;

import com.interplug.qcast.biz.canvasStatus.dto.CanvasStatus;
import com.interplug.qcast.biz.canvasStatus.dto.CanvasStatusResponse;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface CanvasStatusMapper {

	// objectNo 생성(미사용)
	public CanvasStatus getCanvasStatusNewObjectNo(String userId);
	
	// imageName 생성(미사용)
	public CanvasStatus getCanvasStatusImageAdd(String objectNo);
	
	// 전체 견적서 조회
	public List<CanvasStatusResponse> selectAllCanvasStatus(String userId);	
	
	// 견적서 조회(objectNo/userId)
	public List<CanvasStatusResponse> selectObjectNoCanvasStatus(String objectNo, String userId);
	
	// 견적서 조회(Max id)
	public List<CanvasStatusResponse> getMaxIdCanvasStatus(String objectNo, String userId);
	
	// 견적서 조회(id별)
	public List<CanvasStatusResponse> getIdCanvasStatus(Integer id);
	
	// 견적서 조회(objectNo)
	public List<CanvasStatusResponse> getObjectNoCanvasStatus(String objectNo);
	
	// 견적서 등록
	public void insertCanvasStatus(CanvasStatus cs);
	
	// 견적서 수정
	public void updateCanvasStatus(CanvasStatus cs);
	
	// 견적서 삭제
	public void deleteObjectNoCanvasStatus(String objectNo);
	
	// 이미지(템플릿) 삭제
	public void deleteIdCanvasStatus(Integer id);

  
}